> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/56.-cargar-fotos.md).

# 56. Cargar fotos

Subir una foto vía S3 contiene 2 pasos:

1. **Solicitar el enlace pre-firmado para la carga directa posterior.**&#x20;

Como entrada:&#x20;

* fileExtention - jpeg OR jpg OR png,&#x20;
* farmUuid - uuid de la finca,
* fieldUuid - uuid del campo,
* noteUuid - uuid de la nota para el enlace directo de la foto subida,
* commentUuid - uuid del comentario para el enlace directo de la foto subida (opcional).&#x20;

Como salida:

* uuid - el uuid esperado después de la carga y el procesamiento,
* farmUuid - el mismo que en la entrada,
* fieldUuid - el mismo que en la entrada,
* noteUuid - el mismo que en la entrada,
* commentUuid - el mismo que en la entrada (si existía),
* s3Url - la URL usada para subir la foto,
* s3Fields - atributos para pasar en el formulario de subida de la foto.

Los detalles de cómo usar s3Url y s3Fields se describen en el segundo paso.&#x20;

Los atributos son válidos solo 60 minutos para subir la foto.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Enviar una foto local a s3Url con los atributos de formulario predefinidos desde s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Las notificaciones sobre el procesamiento se entregarán mediante el mecanismo de suscripción descrito en GraphQL -> Samples -> [1. Suscripción: Obtener eventos](/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/1.-suscripcion-obtener-eventos.md).

{% hint style="info" %}
Usar ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/56.-cargar-fotos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
